Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class InternalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.axis.InternalException

All Implemented Interfaces:
  java.io.Serializable

public class InternalException
extends java.lang.RuntimeException

Encapsulates exceptions for "should never occur" situations. Extends RuntimeException so it need not explicitly be caught. Logs the exception as a fatal error, and if debug is enabled, includes the full stack trace.

Author:
  Sam Ruby (rubys@us.ibm.com), Glyn Normington (glyn_normington@uk.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`InternalException(java.lang.Exception e)` Construct an Internal Exception from an Exception.
`InternalException(java.lang.String message)` Construct an Internal Exception from a String.

Method Summary
`static boolean` | `getLogging()` Getter for logging property.
`static void` | `setLogging(boolean logging)` Setter for logging.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### InternalException

    public InternalException(java.lang.String message)

  Construct an Internal Exception from a String. The string is wrapped in an exception, enabling a stack traceback to be obtained.
  Parameters:
    `message` - String form of the error

### InternalException

    public InternalException(java.lang.Exception e)

  Construct an Internal Exception from an Exception.
  Parameters:
    `exception` - original exception which was unexpected

Method Detail

### setLogging

    public static void setLogging(boolean logging)

  Setter for logging.

### getLogging

    public static boolean getLogging()

  Getter for logging property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.